/*
 Copyright (c) 1997 by Columbia University. All rights reserved.
 */

/** 
 * Utility class to store user choices in the AutoDlg class.
 * (AutoDlg class accepts user choices for Continuous ping mode)
 * This class saves us from having 26 'get' and 'set' access functions.
 * @version 1.0 31 Aug 1998
 * @author Terrence Truta
 */
public class AutoOptions {

	public float		monitorHours = 24;
	public int			testMinutes = 30;
	public boolean	displaySummary = true;
	public boolean	alerts = false;
	public boolean	unreachable;
	public boolean	delay;
	public int			delayValue;
	public boolean	loss;
	public int			lossValue;
	public boolean	displayMsg;
	public boolean	playSound;
	public String		soundFile;
	public boolean	sendEmail;
	public String		emailAddress;

}